<?php
/**
 * @author    STRONIARZ https://www.stroniarz.pl/
 * @copyright 2022 STRONIARZ
 * @license   This program is not free software and you can't resell and redistribute it
 *
 */

class AdminSambaaiCarouselController extends ModuleAdminController
{

  public function __construct()
      {
          $this->context = Context::getContext();
          $this->bootstrap = true;

          $this->className = 'configuration';//class of the list items
          $this->table = 'configuration';
          parent::__construct();
          $this->fields_options = array(
              'Configure' => array(
                  'title' => $this->l('Form'),
                  'icon' => 'icon-cogs',
                  'fields' => array(
                      'SAMBA_C_LOOP' => array(
                        'title' => $this->l('Loop'),
                        'type' => 'bool',
                        'validation' => 'isBool'
                      ),
                      'SAMBA_C_SPACEBETWEEN' => array(
                        'class' => 'fixed-width-xl sambaCheckInt',
                        'id' => 'tee',
                        'title' => $this->l('Space between products'),
                        'type' => 'text',
                        'required' => true
                      ),
                      'SAMBA_C_NAVIGATION_ISACTIVE' => array(
                        'title' => $this->l('Navigation ON/OFF'),
                        'type' => 'bool',
                        'validation' => 'isBool',
                      ),
                      'SAMBA_C_NAVIGATION_COLOR' => array(
                        'class' => 'fixed-width-xl color-picker',
                        'title' => $this->l('Navigation Color'),
                        'type' => 'text',
                        'required' => true
                      ),
                      'SAMBA_C_PAGINATION_ACTIVE' => array(
                        'title' => $this->l('Pagination ON/OFF'),
                        'type' => 'bool',
                        'validation' => 'isBool'
                      ),
                      'SAMBA_C_PAGINATION_TYPE' => array(
                        'class' => 'fixed-width-xl',
                        'title' => $this->l('Pagination Type'),
                        'type' => 'text',
                        'required' => true
                      ),
                      'SAMBA_C_SLIDER_PER_VIEW_TINY' => array(
                        'class' => 'fixed-width-xl  sambaCheckIntInt',
                        'title' => $this->l('Slider pev view tiny'),
                        'type' => 'text',
                        'required' => true
                      ),
                      'SAMBA_C_SLIDER_PER_VIEW_SMALL' => array(
                        'class' => 'fixed-width-xl sambaCheckInt',
                        'title' => $this->l('Slider per view small'),
                        'type' => 'text',
                        'required' => true
                      ),
                      'SAMBA_C_SLIDER_PER_VIEW_MEDIUM' => array(
                        'class' => 'fixed-width-xl sambaCheckInt',
                        'title' => $this->l('Slider per view medium'),
                        'type' => 'text',
                        'required' => true
                      ),
                      'SAMBA_C_SLIDER_PER_VIEW_LARGE' => array(
                        'class' => 'fixed-width-xl sambaCheckInt',
                        'title' => $this->l('Slider per view large'),
                        'type' => 'text',
                        'required' => true
                      ),
                      'SAMBA_C_HEADER_FONT_SIZE' => array(
                        'class' => 'fixed-width-xl sambaCheckPx',
                        'title' => $this->l('Header font size'),
                        'type' => 'text',
                        'required' => true
                      ),
                      'SAMBA_C_HEADER_COLOR' => array(
                        'class' => 'fixed-width-xl color-picker',
                        'title' => $this->l('Header Color'),
                        'type' => 'text',
                        'required' => true
                      ),
                  ),
                  'submit' => array('title' => $this->l('Save'))
              ),
          );
      }
      public function setMedia($isNewTheme = false) {
        parent::setMedia($isNewTheme);
        $this->context->controller->addCSS(_PS_MODULE_DIR_ . 'sambaai/css/spectrum.min.css');
        $this->context->controller->addJs(_PS_MODULE_DIR_ . 'sambaai/js/spectrum.min.js');
        $this->context->controller->addJs(_PS_MODULE_DIR_ . 'sambaai/js/controller.js');
    }
}
